<?xml version="1.0" encoding="UTF-8"?>
<!--
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements. See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership. The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied. See the License for the
    specific language governing permissions and limitations
    under the License.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.apache</groupId>
        <artifactId>apache</artifactId>
        <version>18</version>
        <relativePath />
    </parent>

    <groupId>org.apache.james</groupId>
    <artifactId>apache-mime4j-project</artifactId>
    <version>0.8.2</version>
    <packaging>pom</packaging>

    <name>Apache James :: Mime4j :: Project</name>
    <description>Java stream based MIME message parser</description>
    <url>http://james.apache.org/mime4j</url>
    <inceptionYear>2004</inceptionYear>

    <modules>
        <module>core</module>
        <module>dom</module>
        <module>storage</module>
        <module>benchmark</module>
        <module>examples</module>
        <module>assemble</module>
        <module>mbox</module>
        <module>james-utils</module>
    </modules>

    <scm>
        <connection>scm:git:http://git-wip-us.apache.org/repos/asf/james-mime4j.git</connection>
        <developerConnection>scm:git:https://git-wip-us.apache.org/repos/asf/james-mime4j.git</developerConnection>
        <url>https://git-wip-us.apache.org/repos/asf/james-mime4j.git</url>
      <tag>apache-mime4j-project-0.8.2</tag>
  </scm>
    <issueManagement>
        <url>http://issues.apache.org/jira/browse/MIME4J</url>
    </issueManagement>

    <distributionManagement>
        <site>
            <id>mime4j-website</id>
            <url>scpexe://people.apache.org/www/james.apache.org/mime4j/</url>
        </site>
    </distributionManagement>

    <properties>
        <james-skin.version>1.8</james-skin.version>

        <target.jdk>1.5</target.jdk>
        <commons-logging.version>1.1.1</commons-logging.version>
        <log4j.version>1.2.14</log4j.version>
        <junit.version>4.10</junit.version>
        <mockito.version>1.9.5</mockito.version>
        <!-- Version 2.2 is required for Java 1.5 compatibility -->
        <commons-io.version>2.4</commons-io.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.apache.james</groupId>
                <artifactId>apache-mime4j-core</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.james</groupId>
                <artifactId>apache-mime4j-dom</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.james</groupId>
                <artifactId>apache-mime4j-mbox-iterator</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.james</groupId>
                <artifactId>apache-mime4j-examples</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.james</groupId>
                <artifactId>apache-mime4j-storage</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.james</groupId>
                <artifactId>apache-mime4j-benchmark</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>commons-logging</groupId>
                <artifactId>commons-logging</artifactId>
                <version>${commons-logging.version}</version>
            </dependency>
            <dependency>
                <groupId>log4j</groupId>
                <artifactId>log4j</artifactId>
                <version>${log4j.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${junit.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.assertj</groupId>
                <artifactId>assertj-core</artifactId>
                <version>1.7.1</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.mockito</groupId>
                <artifactId>mockito-core</artifactId>
                <version>${mockito.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons-io.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.rat</groupId>
                <artifactId>apache-rat-plugin</artifactId>
                <inherited>true</inherited>
                <executions>
                    <execution>
                        <phase>verify</phase>
                        <goals>
                            <goal>check</goal>
                        </goals>
                        <configuration>
                            <excludes>
                                <exclude>NOTICE.*</exclude>
                                <exclude>LICENSE.*</exclude>
                                <exclude>**/README.*</exclude>
                                <exclude>**/main/resources/long-multipart.msg</exclude>
                                <exclude>
                                    **/main/resources/META-INF/services/org.apache.james.mime4j.dom.MessageServiceFactory
                                </exclude>
                                <exclude>**/test/resources/testmsgs/*</exclude>
                                <exclude>**/test/resources/mimetools-testmsgs/*</exclude>
                                <exclude>**/test/resources/test-1/*</exclude>
                                <exclude>**/test/resources/*.msg</exclude>
                                <!-- Generated by Maven -->
                                <exclude>release.properties</exclude>
                                <exclude>dist/**/*</exclude>
                                <!-- Eclipse -->
                                <exclude>**/.*</exclude>
                                <exclude>.*/**/*</exclude>
                            </excludes>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.4</version>
                <executions>
                    <execution>
                        <id>jar</id>
                        <phase>none</phase>
                    </execution>
                    <execution>
                        <id>test-jar</id>
                        <phase>none</phase>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <version>2.3.7</version>
                <extensions>true</extensions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.0</version>
                <configuration>
                    <optimize>true</optimize>
                    <source>${target.jdk}</source>
                    <target>${target.jdk}</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
